Архивировано

Эта тема находится в архиве и закрыта для публикации сообщений.

tommy-kun

Стабильная ветка проприетарных драйверов NVidia с длительным сроком поддержки

Рекомендованные сообщения

Компания NVidia предлагает видеодрайверы с длительным сроком поддержки.

Поддержка нового оборудования и экспериментальных/новых технологий в них добавляться не будет, вместо этого в драйверах будут исправляться критические ошибки и вноситься незначительные изменения которые не должны повлиять на стабильность работы драйверов.

На данный момент "LTS" (Long Term Support) веткой драйверов является версия 275.x

 

драйверы версии 275.28

 

32 битные драйверы http://www.nvidia.com/object/linux-display-ia32-275.28-driver.html

64 битные драйверы http://www.nvidia.com/object/linux-display-amd64-275.28-driver.html

 

 

Обновления на странице http://www.nvnews.net/vbulletin/showthread.php?t=122606

 

В таких дистрибутивов как Debian Stable и Old Stable и Ubuntu LTS использующихся в корпоративной среде обновляющиеся драйверы с длительным сроком поддержки помогут избежать лишних проблем при обслуживании.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

с длительным сроком поддержки

-------

не как невкурю что за бред ?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Это как обновления в Debian и Ubuntu LTS - исправляются только критические ошибки и не вводятся дополнительные функции.

Система при обновлении компонентов не "поломается", не перестанет загружаться, не будет новых версий программ (исключая такие программы как Firefox, собственно и обновляемые там как обновления безопасности) и тд.

Так и здесь - исправляются только ошибки в драйвере и библиотеках приводящие к падениям и некорректной работе программ и добавляется поддержка новых версий xserver, но без добавления новых технологий и поддержки новых карт.

 

Legasy - просто устаревшие драйверы. "LTS" - обновляемые, но фактически с исправлением только ошибок.

 

Например список исправлений в 275.28 по сравнению с 275.21

 

Added support for xserver ABI 11 (xorg-server 1.11).

Fixed a bug that caused the GLSL built-in uniforms gl_FrontMaterial and gl_BackMaterial to not be updated properly when calling glMaterial from a display list.

Fixed an error handling bug that caused the OpenGL driver to crash while running certain WebGL applications.

Fixed a bug in VDPAU that caused a glibc assertion when a call to VdpDeviceCreateX11 failed in certain way

 

Ошибки исправляются и поломок при обновлении не будет (не должно быть), но поддержка новых карт, версий OpenGL и тд - только в новых стабильных и экспериментальных версиях.

Реализация новых функций и поддержка нового оборудования может привести (и часто приводит) к нестабильности работы и вынуждает делать откат версии драйверов.

А нестабильность и проблемы могут выявиться уже через некоторое время после установки, и выявиться не у того кто осуществлял установку системы/драйверов.

 

И полезно просто на домашних "серверах"/медиацентрах. При минимальном вмешательстве в стабильно рабочую систему фиксятся ошибки.

Не оставаясь на старых / неподдерживающихся Legasy драйверах сохраняется работоспособность системы.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

ok понял спасиб!

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах